Bug 493535 - dma-debug: check_unmap warning with sky2 while running fedora day 2009/04/01 live-cd
dma-debug: check_unmap warning with sky2 while running fedora day 2009/04/01 ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 493932 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 03:30 EDT by Mauro Carvalho Chehab
Modified: 2013-07-04 18:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
More complete dmesg (25.29 KB, text/plain)
2009-04-02 03:30 EDT, Mauro Carvalho Chehab
no flags Details

  None (edit)
Description Mauro Carvalho Chehab 2009-04-02 03:30:31 EDT
Created attachment 337729 [details]
More complete dmesg

Description of problem:

sky2 0000:02:00.0: DMA-API: device driver frees DMA memory with wrong function [device address=0x000000002b5ed000] [size=21 bytes] [mapped as page] [unmapped as single]
Modules linked in: fuse bridge stp llc bnep sco l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath uinput snd_hda_codec_si3054 snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_pcm joydev arc4 snd_timer tifm_7xx1 k8temp pcspkr hwmon yenta_socket ecb snd tifm_core rsrc_nonstatic soundcore snd_page_alloc i2c_piix4 rtl8187 mac80211 eeprom_93cx6 cfg80211 sky2 shpchp ext4 jbd2 crc16 squashfs vfat fat ata_generic pata_acpi firewire_ohci firewire_core crc_itu_t pata_atiixp usb_storage radeon drm i2c_algo_bit i2c_core video output
Pid: 0, comm: swapper Not tainted 2.6.29-21.fc11.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8104cf6f>] warn_slowpath+0xbc/0xf0
 [<ffffffff8106e484>] ? graph_unlock+0x6b/0x77
 [<ffffffff81071b08>] ? __lock_acquire+0xb60/0xc06
 [<ffffffff811a6cb5>] ? get_hash_bucket+0x28/0x34
 [<ffffffff81396308>] ? _spin_lock_irqsave+0x7d/0x8b
 [<ffffffff811a6cb5>] ? get_hash_bucket+0x28/0x34
 [<ffffffff81070632>] ? mark_held_locks+0x68/0x86
 [<ffffffff811a7560>] check_unmap+0x2b4/0x3dd
 [<ffffffff811a77d6>] debug_dma_unmap_page+0x50/0x52
 [<ffffffffa019a80c>] dma_unmap_single+0x6c/0x75 [sky2]
 [<ffffffffa019a84f>] pci_unmap_page+0x3a/0x57 [sky2]
 [<ffffffffa019b1b0>] sky2_tx_complete+0xb7/0x153 [sky2]
 [<ffffffffa019b47c>] sky2_tx_done+0x2d/0x3a [sky2]
 [<ffffffffa019d115>] sky2_poll+0x936/0xa70 [sky2]
 [<ffffffff812f8a9f>] net_rx_action+0xb6/0x1ee
 [<ffffffff812f8b8e>] ? net_rx_action+0x1a5/0x1ee
 [<ffffffff81052777>] __do_softirq+0x94/0x179
 [<ffffffff810127ac>] call_softirq+0x1c/0x30
 [<ffffffff8101392e>] do_softirq+0x52/0xb9
 [<ffffffff8105239a>] irq_exit+0x53/0x90
 [<ffffffff81013c47>] do_IRQ+0x12c/0x151
 [<ffffffff81011e93>] ret_from_intr+0x0/0x2e
 <EOI>  [<ffffffff8102b438>] ? native_safe_halt+0xb/0xd
 [<ffffffff81070855>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff81017df0>] ? default_idle+0x51/0x7c
 [<ffffffff8106b7fb>] ? clockevents_notify+0x62/0x67
 [<ffffffff81017f24>] ? c1e_idle+0xf6/0x12b
 [<ffffffff810102a6>] ? cpu_idle+0x68/0xb3
 [<ffffffff81381227>] ? rest_init+0x6b/0x6d
---[ end trace 008608dab4a0b270 ]---
Version-Release number of selected component (if applicable):

How reproducible:

enable dhcp for the interface and use it for a few seconds after receiving the new IP address.
Comment 1 Eric Sandeen 2009-04-02 10:04:31 EDT
It's a warning not an oops.
Comment 2 Bug Zapper 2009-06-09 09:03:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Chuck Ebbert 2009-06-16 09:57:55 EDT
*** Bug 493932 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2010-04-27 09:26:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 07:39:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.